<?xml version="1.0" encoding="UTF-8"?>

<!--transform a lor-"query_result" to a collide-"query" containing an "answer"-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" />
	
	<xsl:template match="/">
		<!--static start -->
		<query>
			<request/>
			<answer>
			
			<!--transform single lor-entities to collide-entities -->
				<xsl:for-each select="/query_result/entity">
				
				<entity>				
					<xsl:for-each select="slot">
						<xsl:if test="@name='Activity' or @name='Author' or @name='Date' or @name='Description'
							or @name='Name' or @name='Editor' or @name='Keyword' or @name='Language'
							or @name='Project' or @name='Version' or @name='Palettes' or @name='Format'">
												
							<!--item with set attribute -->
							<item>
						
							<xsl:if test="@name='Activity'">
								<xsl:attribute name="name">activityName</xsl:attribute>
  							</xsl:if>
  							
  							<xsl:if test="@name='Author'">
								<xsl:attribute name="name">authorLastName</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='Date'">
								<xsl:attribute name="name">creationDate</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='Description'">
								<xsl:attribute name="name">description</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='Name'">
								<xsl:attribute name="name">documentName</xsl:attribute>
  							</xsl:if>
  							
  							<xsl:if test="@name='Editor'">
								<xsl:attribute name="name">editorLastName</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='Keyword'">
								<xsl:attribute name="name">keywords</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='Language'">
								<xsl:attribute name="name">languageName</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='Project'">
								<xsl:attribute name="name">projectName</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='Version'">
								<xsl:attribute name="name">version</xsl:attribute>
  							</xsl:if>
  							
  							<xsl:if test="@name='Palettes'">
								<xsl:attribute name="name">paletteName</xsl:attribute>
  							</xsl:if>  			
  							
  							<xsl:if test="@name='Format'">
								<xsl:attribute name="name">mimeType</xsl:attribute>
  							</xsl:if>				
  							
							<!--set value -->
  							<xsl:if test="string(.)">
  								<xsl:for-each select="value">
  									<value>
  										<xsl:value-of select="current()"/>
  									</value>
  								</xsl:for-each>		 
  							</xsl:if>
						
							</item>
						</xsl:if>
					</xsl:for-each>
					<item name="docId">
						<value>
							<xsl:value-of select="@id"/>
						</value>
					</item>
				</entity>
				</xsl:for-each>	
		
		<!--static end -->
			</answer>
		</query>		
	</xsl:template> 
	
</xsl:stylesheet>