<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" />
	
	<xsl:template match="/">
		<metadata>
			<!--<metadataItem name="Type">
					Collide
			</metadataItem>		
			<metadataItem name="Version">
					2.1
			</metadataItem>		
			<metadataItem name="Format">
					application/Cool Modes
			</metadataItem>		
			<metadataItem name="ToolType">
					Cool Modes
			</metadataItem>		
			<metadataItem name="Mode">
					Collaborative
			</metadataItem>		
			<metadataItem name="Repository">
					Duisburg
			</metadataItem>	-->
			<!--<xsl:apply-templates select="/DocumentRoot/MetaData" />-->
			<xsl:apply-templates select="/DocumentRoot/MetaData" />
		</metadata>
	</xsl:template>
	
	<xsl:template match="MetaData/DocumentProperties">
		<metadataItem name="Date">
			<xsl:value-of select="current()/@creationDate" />
		</metadataItem>
		<metadataItem name="Scenario">
			<xsl:value-of select="current()/@scenario" />
		</metadataItem>
		<metadataItem name="Description">
			<xsl:value-of select="current()/text()" />
		</metadataItem>
		<xsl:apply-templates select="Keyword" />
		<metadataItem name="Language">
			<xsl:value-of select="current()/@language" />
		</metadataItem>
		<metadataItem name="Name">
			<xsl:value-of select="current()/@name" />
		</metadataItem>
		<metadataItem name="ReadOnly">
			<xsl:value-of select="current()/@readOnly" />
		</metadataItem>
		<metadataItem name="Version">
			<xsl:value-of select="current()/@version" />
		</metadataItem>
	</xsl:template>
	
	<xsl:template match="Keyword">
		<metadataItem name="Keyword">
			<xsl:value-of select="current()"/>
		</metadataItem>
	</xsl:template>
		
	<xsl:template match="MetaData/UsedPalettes/Palette">
		<metadataItem name="Palettes">
			<xsl:value-of select="current()/@name" />
		</metadataItem>
	</xsl:template>
	
	<xsl:template match="MetaData/Project">
		<metadataItem name="Project">
			<xsl:value-of select="current()/@name" />
		</metadataItem>
	</xsl:template>
	
	<xsl:template match="MetaData/Activity">
		<metadataItem name="Activity">
			<xsl:value-of select="current()/@name" />
		</metadataItem>
	</xsl:template>
	
	<xsl:template match="MetaData/InvolvedUsers/User">
		<xsl:if test="@type='Author'">
			<metadataItem name="Author">
				<xsl:value-of select="current()/@login" />
			</metadataItem>
  		</xsl:if>
  		<xsl:if test="@type='Editor'">
			<metadataItem name="Editor">
				<xsl:value-of select="current()/@login" />
			</metadataItem>
  		</xsl:if>
  	</xsl:template>


</xsl:stylesheet>