<?xml version="1.0" encoding="ISO-8859-1"?>

<!--transform a collide-"query" containing a "request" to a lor- "query_pattern" -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	
	<xsl:template match="/">
		<!--start -->
		<query_pattern>
			<entity>
				 <slot name = "Type">
					<value>Collide</value>
				</slot>
				<slot name = "ToolType">
					<value>Cool Modes</value>
				</slot>
				<slot name = "Mode">
					<value>Collaborative</value>
				</slot>
				
				<slot name= "Format" />

				<!--<slot name = "Version">
					<value>2.1</value>
				</slot>-->
				<!--<slot name = "Format">
					<value>application/Cool Modes</value>
				</slot>-->
				<!--<slot name = "Repository">
					<value>Duisburg</value>
				</slot>-->
		
		<!--transform single items to slots -->
				<xsl:for-each select="/query/request/item">
					<xsl:if test="@name='activityName' or @name='authorLastName' or @name='creationDate'
						or @name='description' or @name='description' or @name='documentName'
						or @name='editorLastName' or @name='keywords' or @name='languageName'
						or @name='projectName' or @name='version' or @name='paletteName'
						or @name='scenario'">
						
						<slot>
						
							<!--set attribute -->
							<xsl:if test="@name='activityName'">
								<xsl:attribute name="name">Activity</xsl:attribute>
  							</xsl:if>
						
							<xsl:if test="@name='authorLastName'">
								<xsl:attribute name="name">Author</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='creationDate'">
								<xsl:attribute name="name">Date</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='description'">
								<xsl:attribute name="name">Description</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='documentName'">
								<xsl:attribute name="name">Name</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='editorLastName'">
								<xsl:attribute name="name">Editor</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='keywords'">
								<xsl:attribute name="name">Keyword</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='languageName'">
								<xsl:attribute name="name">Language</xsl:attribute>
  							</xsl:if>
  							
  							<xsl:if test="@name='paletteName'">
								<xsl:attribute name="name">Palettes</xsl:attribute>
  							</xsl:if>
  							
  							<xsl:if test="@name='projectName'">
								<xsl:attribute name="name">Project</xsl:attribute>
  							</xsl:if>
  						
  							<xsl:if test="@name='version'">
								<xsl:attribute name="name">Version</xsl:attribute>
  							</xsl:if>
  							
  							<xsl:if test="@name='scenario'">
  								<xsl:attribute name="name">Scenario</xsl:attribute>
  							</xsl:if>
  						
  							<!--set value -->
  							<xsl:if test="string(.)">
  								<xsl:for-each select="value">
  									<value>
  										<xsl:value-of select="current()"/>
  									</value>
  								</xsl:for-each> 
  							</xsl:if>
  						
  						</slot>
  					</xsl:if>
  				</xsl:for-each>	
		
		<!--end -->

			</entity>
		</query_pattern>
	</xsl:template> 
	
</xsl:stylesheet>